Bug 28142 - after 18032 error
after 18032 error
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Fulbright
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-02-17 10:20 EST by Need Real Name
Modified: 2007-04-18 12:31 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-02-27 18:45:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2001-02-17 10:20:01 EST
After downloading the update to fix bug 18032 I am now getting this error 
at the same point in the process:

Traceback (innermost last):
  File "/usr/bin/anaconda", line 438, in ?
    
intf.run(todo, test = test)
  File 
"/var/tmp/anaconda-7.0.1//usr/lib/anaconda/gui.py", line 336, in run
    
self.icw.run ()
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/gui.py", 
line 678, in run
    mainloop ()
  File 
"/usr/lib/python1.5/site-packages/gtk.py", line 2554, in mainloop
    
_gtk.gtk_main()
  File "/usr/lib/python1.5/site-packages/gtk.py", line 125, 
in __call__
    ret = apply(self.func, a)
  File 
"/var/tmp/anaconda-7.0.1//usr/lib/anaconda/gui.py", line 428, in 
nextClicked
    self.setScreen (self.currentScreen, self.nextClicked)
  
File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/gui.py", line 466, in 
setScreen
    new_screen = screen.getScreen ()
  File 
"/var/tmp/anaconda-7.0.1//usr/lib/anaconda/iw/rootpartition_gui.py", line 
133, in getScreen
    avail = apply(isys.spaceAvailable, 
self.todo.fstab.getRootDevice())
  File "/usr/lib/anaconda/isys.py", line 
10, in spaceAvailable
    mount(device, "/mnt/space", fstype = fsystem)
  
File "/usr/lib/anaconda/isys.py", line 99, in mount
    rc = 
_isys.mount(fstype, device, location, readOnly)
SystemError: (22, 'Invalid 
argument')

Local variables in innermost frame:
fstype: vfat
location: 
/mnt/space
devName: /tmp/hda1
readOnly: 0
device: /tmp/hda1

ToDo object:
(itodo
ToDo
p1
(dp2
S'method'
p3
(iimage
CdromInstallMethod
p4
(dp5
S'progressWindow'
p6

<failed>
Comment 1 Michael Fulbright 2001-02-20 14:37:12 EST
Make sure you boot the installer with the line

   linux updates


and enter the update disk when prompted.
Comment 2 Need Real Name 2001-02-20 17:01:23 EST
I have made the boot update disk and am using the linux upgrades command.

I was told that the installation that I am choosing may be causing my problem.
I was attempting to install this as a partitionless install on a 3 Gig FAT32 partition.
I was told that there are two problems with this:
 1. FAT32 only supports 2.0 GIG partitions and that I need to partition down to that size
     (don't ask why it seems to work now for windows, but I believe them)
 2. The speed penalty this will cause my 200MHz Cyrix chip is going to be unsatisfactory.

I will relook my installation - I am thinking that I'll try to move stuff around on the hard drive and make a linux partition
(stuff is spread out all over the place). I've been reading the manual and believe it or not I now know how to do it
in linux - but not yet in windows. 

I'll try it tonight or tomorrow and get back to you with the results.
Comment 3 Michael Fulbright 2001-02-21 18:22:08 EST
Thanks.
Comment 4 Michael Fulbright 2001-03-14 12:57:46 EST
Closing due to inactivity. Please reopen if you have additional information to add.

Note You need to log in before you can comment on or make changes to this bug.